#!/usr/bin/env python 
import sys 
import Raisetest, Raisetest__POA
import test_impl
import corbabase

    
def run():
    print "Server-Raisetest run ..."
    
    corba = corbabase.CorbaBase(sys.argv, orbConfig="myconfigsrv.cfg")
    corba.activatePOA()
    
    #-----------------------
    #-- Create Raisetest.
    #-----------------------
    raisetest_impl = test_impl.Raisetest_i('mytest')
    testRef = corba.activateServant(raisetest_impl)
    print "testRef={0}".format(testRef)
    
    #--------------------------------------
    #-- Try to bind test to nameservice.
    #--------------------------------------
    try:
        corba.bind("Test", testRef)
    except:
        print "Can't bind Test"
    
    
    corba.start()
    
    print "Server-Raiseest finished!"

    
if __name__ == '__main__':
    run()
