#!/usr/bin/env python 
import sys 
import Raisetest, Raisetest__POA
import test_impl
import corbabase


def run():
    print "Client-Raisetest run ..."
    
    corba = corbabase.CorbaBase(sys.argv)
    corba.activatePOA()
        
    #-------------------------------------------------
    #-- Try to resolve Test from nameservice.
    #-------------------------------------------------
    try:
        testObj = corba.resolve("Test", Raisetest.Test)
        
        print "Wait to end client ..."
        while(1):
            inp = raw_input('')
            if inp.upper().startswith('R'):
                raiseNumber = inp[1:]
                #------------------------------
                #-- Call to testRaise[x].
                #------------------------------
                try:
                    if hasattr(testObj, 'testRaise{0}'.format(raiseNumber)):
                        raiseFunc = getattr(testObj, 'testRaise{0}'.format(raiseNumber))
                        raiseFunc()
                except Raisetest.Extest1, ex:
                    print "Extest1 exception catched: {0}".format(ex)
                except Raisetest.Extest2, ex:
                    print "Extest2 exception catched: {0}".format(ex)
                except Exception, ex:
                    print "General exception catched: {0}".format(ex)
            elif inp.upper().startswith('M'):
                methodNumber = inp[1:]
                #------------------------------
                #-- Call to testMethod[x].
                #------------------------------
                if hasattr(testObj, 'testMethod{0}'.format(methodNumber)):
                    methodFunc = getattr(testObj, 'testMethod{0}'.format(methodNumber))
                    eleList = methodFunc()
                    print "EleList={0}".format(eleList)
            elif inp.upper() == 'Q':
                break;
    except Exception, ex:
        print "Error in client struct test: {0}".format(ex)
        
    
    print "Client-Raisetest finished!"

if __name__ == '__main__':
    run()
